define({"0":{y:0,u:"../Content/P4Python/about.html",l:-1,t:"How to use this guide | P4Python",i:0.0306052941976794,a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ..."},"1":{y:0,u:"../Content/P4Python/chapter.python.html",l:-1,t:"P4Python",i:0.0306052941976794,a:"P4Python is a derived API, it is the Python\n      interface to the\n      Helix C/C++ API, see  Helix Core C/C++ Developer Guide . P4Python\n      enables you to write Python code that interacts with a Helix Core Server.\n    P4Python\n      enables your Python scripts to: Get\n\tHelix Server\n\tdata and ..."},"2":{y:0,u:"../Content/P4Python/python.requirements.html",l:-1,t:"System Requirements and Release Notes",i:0.0306052941976794,a:"P4Python\n      is supported on Windows, Linux, and OS X. We have removed support for Python 2 from P4Python 2022.1. This is a part of our commitment to move away from using versions of platforms that have reached End-of-Life (EOL).  For system requirements, see the P4Python Release notes . When ..."},"3":{y:0,u:"../Content/P4Python/python.installation.html",l:-1,t:"Installing P4Python",i:0.20394621484489,a:"Before installing\n\tP4Python, any\n\tpreviously installed versions should be uninstalled. In this section: Install P4Python using pip Install P4Python from a package Install P4Python using pip As of\n      P4Python\n      2015.1, the recommended mechanism for installing\n      P4Python\n      is via  pip. ..."},"4":{y:0,u:"../Content/P4Python/python.programming.html",l:-1,t:"Programming with P4Python",i:0.0306052941976794,a:"P4Python\n      provides an object-oriented interface to\n      Helix Core Server\n      that is intended to be intuitive for Python programmers. Data is loaded\n      and returned in Python arrays and dictionaries. Each\n       P4 object represents a connection to the Helix Server. When instantiated, ..."},"5":{y:0,u:"../Content/P4Python/python.classes.html",l:-1,t:"P4Python Classes",i:0.0329385783778852,a:"The P4 module consists of several public classes: P4 P4.P4Exception P4.DepotFile P4.Revision P4.Integration P4.Map P4.MergeData P4.Message P4.OutputHandler P4.Progress P4.Resolver P4.Spec The following tables provide more details about each public class, including methods and attributes. Attributes ..."},"6":{y:0,u:"../Content/P4Python/python.p4.html",l:-1,t:"Class P4",i:0.219492363614618,a:"Description Main interface to the Python client API. This module provides an object-oriented interface to Helix Server, the\n      Perforce\n      version control system. Data is returned in Python arrays and\n      dictionaries (hashes) and input can also be supplied in these\n      formats. Each P4 ..."},"7":{y:0,u:"../Content/P4Python/python.p4_exception.html",l:-1,t:"Class P4.P4Exception",i:0.0306052941976794,a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4Exception is a\n      shallow subclass of the standard Python Exception class. Class Attributes None. Class Methods None."},"8":{y:0,u:"../Content/P4Python/python.p4_depotfile.html",l:-1,t:"Class P4.DepotFile",i:0.0329385783778852,a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Server\n      depot. Each  P4.DepotFile object contains summary\n      information about the file and a list of revisions\n      ( P4.Revision objects) of that file. Currently, only\n      the P4.run_filelog() ..."},"9":{y:0,u:"../Content/P4Python/python.p4_revision.html",l:-1,t:"Class P4.Revision",i:0.0329385783778852,a:"Description Utility class providing easy access to the revisions of\n       P4.DepotFile objects. Created by\n      P4.run_filelog(). Instance Attributes rev.action -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. rev.change -\u003e int Returns the change number ..."},"10":{y:0,u:"../Content/P4Python/python.p4_integration.html",l:-1,t:"Class P4.Integration",i:0.0329385783778852,a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4.run_filelog(). Instance Attributes integ.how -\u003e string Returns the type of the integration record - how that record was\n      created. integ.file -\u003e string Returns the path to the file being ..."},"11":{y:0,u:"../Content/P4Python/python.p4_map.html",l:-1,t:"Class P4.Map",i:0.0329385783778852,a:"Description The  P4.Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to a\nHelix Server. Instance Attributes None. Class Methods P4.Map( [ list ] ) -\u003e P4.Map Constructs a new  P4.Map object. P4.Map.join ( map1, map2 ) -\u003e P4.Map ..."},"12":{y:0,u:"../Content/P4Python/python.p4_mergedata.html",l:-1,t:"Class P4.MergeData",i:0.0329385783778852,a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Instance Attributes md.your_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. md.their_name -\u003e string Returns the name of ..."},"13":{y:0,u:"../Content/P4Python/python.p4_message.html",l:-1,t:"Class P4.Message",i:0.0329385783778852,a:"Description P4.Message objects contain error or other diagnostic\n      messages from the Helix Server; they are returned in  P4.messages. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command output\n      (E_INFO), warnings, ..."},"14":{y:0,u:"../Content/P4Python/python.p4_outputhandler.html",l:-1,t:"Class P4.OutputHandler",i:0.0329385783778852,a:"Description The  P4.OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set  p4.handler to an instance of a\n      subclass of  P4.OutputHandler, use\n      p4.using_handler( MyHandler() ), or pass the handler ..."},"15":{y:0,u:"../Content/P4Python/python.p4_progress.html",l:-1,t:"Class P4.Progress",i:0.0329385783778852,a:"Description The  P4.Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the progress class, set  P4.progress to an instance of\n      a subclass of  P4.Progress, or pass the progress\n      indicator as a named parameter for one ..."},"16":{y:0,u:"../Content/P4Python/python.p4_resolver.html",l:-1,t:"Class P4.Resolver",i:0.0329385783778852,a:"Description P4.Resolver is a class for handling resolves in\n      Helix Server. It is\n      intended to be subclassed, and for subclasses to override the\n      resolve() method. When P4.run_resolve() is\n      called with a  P4.Resolver object, it calls the\n      P4.Resolver.resolve() method of the ..."},"17":{y:0,u:"../Content/P4Python/python.p4_spec.html",l:-1,t:"Class P4.Spec",i:0.0329385783778852,a:"Description Utility class providing easy access to the attributes of the fields in a\n      Helix Server\n      form. Only valid field names may be set in a  P4.Spec\n      object. Only the field name is validated, not the content. Attributes\n      provide easy access to the fields. Instance Attributes ..."},"18":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0306052941976794,a:"Glossary"},"19":{y:0,u:"../Content/P4Python/license.statements.html",l:-1,t:"License Statements",i:0.0306052941976794,a:"License Statements For licensing information for P4Python and the third-party software included in this Perforce product, see the P4Python License file . "},});